> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save manual journal entries

> Save new (or update existing) manual journal entries



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/accounting/manualJournalEntries
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/accounting/manualJournalEntries:
    post:
      tags:
        - Manual Journal Entries
      summary: Save manual journal entries
      description: Save new (or update existing) manual journal entries
      operationId: postManualJournalEntries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiParamManualJournalEntryPostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseListMultiResponseManualJournalEntryGetDto
        '207':
          description: >-
            Some manual journal entries failed to save. See response body for
            error details.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseListMultiResponseManualJournalEntryGetDto
        '400':
          description: All manual journal entries failed to save.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseListMultiResponseManualJournalEntryGetDto
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    MultiParamManualJournalEntryPostDto:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ManualJournalEntryPostDto'
    ResponseListMultiResponseManualJournalEntryGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/MultiResponseManualJournalEntryGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ManualJournalEntryPostDto:
      type: object
      properties:
        id:
          type: string
          description: >-
            Id of the manual journal entry, required when updating an existing
            entry
          example: mje_12345
        status:
          type: string
          description: Status of the manual journal entry
          nullable: false
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        description:
          type: string
          description: Description of the manual journal entry
          nullable: false
          example: Monthly accrual adjustment
        recurrence:
          $ref: '#/components/schemas/InvoiceRecurrencePostDto'
        apiName:
          type: string
          description: Name of the API from which this journal entry originated
          nullable: false
          example: MANUAL_ENTRY
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        apiSourceId:
          type: string
          description: Id of the journal entry on the associated API
          nullable: false
          example: ext_abc123
        children:
          type: array
          nullable: false
          items:
            type: object
            properties:
              glAccountId:
                type: string
                description: Id of the GL account associated with this journal entry line
                nullable: false
                example: gla_38560327
              crAmount:
                type: integer
                description: Credit amount of the journal entry line (in cents)
                format: int32
                nullable: false
                example: 5000
              drAmount:
                type: integer
                description: Debit amount of the journal entry line (in cents)
                format: int32
                nullable: false
                example: 0
            description: Line items for this journal entry
        customData:
          $ref: '#/components/schemas/JsonNode'
    MultiResponseManualJournalEntryGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        statusCode:
          $ref: '#/components/schemas/HttpStatus'
        data:
          $ref: '#/components/schemas/ManualJournalEntryGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    InvoiceRecurrencePostDto:
      type: object
      properties:
        updateType:
          type: string
          description: Scope of the recurrence update
          example: FUTURE_ONLY
          enum:
            - SINGLE_RECURRENCE
            - FUTURE_ONLY
            - ALL_IN_SERIES
        frequency:
          type: string
          description: Frequency of the recurrence
          example: MONTHLY
          enum:
            - ONE_TIME
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        interval:
          type: integer
          description: Number of steps between occurrences
          format: int32
          example: 1
        endDate:
          type: string
          description: Date the recurrence ends
          format: date
          example: '2025-12-31'
      description: Recurrence settings for the invoice
      nullable: false
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    HttpStatus:
      type: integer
      description: The HTTP status code for the action performed.
      format: int32
      enum:
        - 200
        - 400
        - 401
        - 403
        - 404
        - 500
    ManualJournalEntryGetDto:
      required:
        - amount
        - apiName
        - apiSourceId
        - children
        - date
        - description
        - id
        - recurrence
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the manual journal entry
          example: mje_12345
        status:
          type: string
          description: Status of the manual journal entry
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        date:
          type: string
          description: Date of the manual journal entry
          format: date
          example: '2026-01-15'
        description:
          type: string
          description: Description of the manual journal entry
          nullable: true
          example: Monthly accrual adjustment
        amount:
          type: integer
          description: Total amount of the manual journal entry (in cents)
          format: int32
          example: 50000
        recurrence:
          $ref: '#/components/schemas/InvoiceRecurrenceGetDto'
        apiName:
          type: string
          description: Name of the API from which this journal entry originated
          nullable: true
          example: MANUAL_ENTRY
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        apiSourceId:
          type: string
          description: Id of the journal entry on the associated API
          nullable: true
          example: ext_abc123
        children:
          type: array
          items:
            $ref: '#/components/schemas/ManualJournalEntryChildGetDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    InvoiceRecurrenceGetDto:
      required:
        - endDate
        - frequency
        - interval
      type: object
      properties:
        frequency:
          type: string
          description: Frequency of the recurrence
          nullable: true
          example: MONTHLY
          enum:
            - ONE_TIME
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        interval:
          type: integer
          description: Number of steps between occurrences
          format: int32
          nullable: true
          example: 1
        endDate:
          type: string
          description: Date the recurrence ends
          format: date
          nullable: true
          example: '2025-12-31'
      description: Recurrence settings for the invoice
      nullable: true
    ManualJournalEntryChildGetDto:
      required:
        - amount
        - crAmount
        - drAmount
        - glAccount
      type: object
      properties:
        glAccount:
          $ref: '#/components/schemas/GlAccountExpanded'
        amount:
          type: integer
          description: Total amount of the journal entry line (in cents)
          format: int32
          example: 5000
        crAmount:
          type: integer
          description: Credit amount of the journal entry line (in cents)
          format: int32
          example: 5000
        drAmount:
          type: integer
          description: Debit amount of the journal entry line (in cents)
          format: int32
          example: 0
      description: Line items for this journal entry
    GlAccountExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        name:
          type: string
          description: Name of the GL account
          example: Officer(s) Salaries and Wages
        accountNo:
          type: string
          description: Number of the GL account
          example: '60210'
        type:
          type: string
          description: Type the GL account
          example: EXPENSE
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        iconUrl:
          type: string
          description: Icon URL of the GL account
          example: https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png
        displayName:
          type: string
          description: Display name of the GL account
          example: '#60210 Officer(s) Salaries and Wages'
      description: GL account details
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````